Subject: bug#6242: closed (Re: bug#6242: line-spacing and echo area)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Aug 2019 14:22:02 +0000

Your bug report

#6242: line-spacing and echo area

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6242: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6242
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6242: line-spacing and echo area
From: Stefan Kangas <[email-masked]>
To: Glenn Morris <[email-masked]>, Eli Zaretskii <[email-masked]>, David Reitter <[email-masked]>
Cc: [email-masked]
Date: Fri, 2 Aug 2019 16:20:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
> >> From: Glenn Morris <[email-masked]>
> >> Date: Fri, 21 May 2010 22:35:36 -0400
> >>
> >> David Reitter wrote:
> >>
> >> > (setq-default line-spacing 1.8)
> >> >
> >> > Will cause the echo area (including minibuffers) to be unusable (the
> >> > line is displayed too low).
> >>
> >> Works fine for me on GNU/Linux.
> >
> > And for me on MS-Windows, both with stock Emacs 23.2 and with the
> > current trunk.
>
> I can't reproduce this either with Emacs 26.2 or current master.
>
> Can you still reproduce this on the latest version of Emacs?  If yes,
> could you please provide a precise recipe for how to reproduce this,
> starting with "emacs -Q"?
>
> Unless I hear back from you in a couple of weeks, I will close this as
> unreproducible.

One month has passed with no reply, so I'm now closing the bug.
If you're still seeing this, please report back so that we can
reopen it.

Thanks,
Stefan Kangas

Subject: line-spacing and echo area
From: David Reitter <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Date: Fri, 21 May 2010 13:36:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

(setq-default line-spacing 1.8)

Will cause the echo area (including minibuffers) to be unusable (the line is displayed too low).
I would expect either line-spacing to be ignored in the echo area, or, the echo area needs to be enlarged to accommodate the new line-spacing.

As soon as there is more than one line displayed in a minibuffer, the appearance is correct.

In GNU Emacs 23.2.50.1 (x86_64-apple-darwin10.3.1, NS apple-appkit-1038.29)
 of 2010-05-10 on elin.psy.cmu.edu
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  which-function-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x k <return> ( s e t q - d e f a u l t SPC ' l i 
n e - s p a c i n g SPC 0 . 8 ) C-x C-e q <down-mouse-1> 
<mouse-1> <backspace> C-e C-x C-e C-x C-f C-a C-s C-d 
C-a C-s C-g <down-mouse-1> <mouse-movement> <drag-mouse-1> 
<backspace> <wheel-down> 1 <wheel-down> <double-wheel-down> 
<triple-wheel-down> <backspace> <backspace> 1 . C-e 
<down-mouse-1> <mouse-movement> <mouse-movement> <drag-mouse-1> 
s-c <menu-bar> <help-menu> <send-emacs-bug-report>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Unable to load color "darkblue"
Entering debugger...
Back to top level.
0.8
Quit [2 times]
byte-code: End of buffer [3 times]
byte-code: End of buffer

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
hex-util hashcash mail-utils emacsbug multi-isearch help-mode view debug
easy-mmode which-func imenu tooltip ediff-hook vc-hooks lisp-float-type
mwheel ns-win easymenu tool-bar dnd fontset image fringe lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mldrag mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
loaddefs button minibuffer faces cus-face files text-properties overlay
md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process ns multi-tty
emacs)